package edu.iesdamiahuguet.gestcentre.jsf;

import edu.iesdamiahuguet.gestcentre.ejb.GestorGrupsCategories;
import edu.iesdamiahuguet.gestcentre.entitats.GrupCategoriesInventari;
import java.io.Serializable;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author Climent Cànaves
 */
@ManagedBean
@SessionScoped
public class ControladorGrupsCategories extends ControladorEntitats<GrupCategoriesInventari> implements Serializable {
    @EJB
    GestorGrupsCategories gestor;
    
    @Override
    public GestorGrupsCategories getGestor() {
        return gestor;
    }
    
    @Override
    public GrupCategoriesInventari creaEntitat() {
        return new GrupCategoriesInventari();
    }
    
    @Override
    public GrupCategoriesInventari clonaEntitat(GrupCategoriesInventari original) {
        GrupCategoriesInventari entitat = null;
        
        try {
            entitat = gestor.cerca(original.getId());
        } catch (Exception e) {
            
        }
        
        return entitat;
    } 
}
