package edu.iesdamiahuguet.gestcentre.jsf;

import edu.iesdamiahuguet.gestcentre.ejb.GestorGrupsUbicacions;
import edu.iesdamiahuguet.gestcentre.entitats.GrupUbicacionsInventari;
import java.io.Serializable;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author Climent Cànaves
 */
@ManagedBean
@SessionScoped
public class ControladorGrupsUbicacions extends ControladorEntitats<GrupUbicacionsInventari> implements Serializable {
    @EJB
    GestorGrupsUbicacions gestor;
    
    @Override
    public GestorGrupsUbicacions getGestor() {
        return gestor;
    }
    
    @Override
    public GrupUbicacionsInventari creaEntitat() {
        return new GrupUbicacionsInventari();
    }
    
    @Override
    public GrupUbicacionsInventari clonaEntitat(GrupUbicacionsInventari original) {
        GrupUbicacionsInventari entitat = null;
        
        try {
            entitat = gestor.cerca(original.getId());
        } catch (Exception e) {
            
        }
        
        return entitat;
    }
}
