package edu.iesdamiahuguet.gestcentre.jsf;

import edu.iesdamiahuguet.gestcentre.ejb.GestorProcessos;
import edu.iesdamiahuguet.gestcentre.entitats.Proces;
import java.io.Serializable;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author Climent Cànaves
 */
@ManagedBean
@SessionScoped
public class ControladorProcessos extends ControladorEntitats<Proces> implements Serializable {
    @EJB
    GestorProcessos gestor;
    
    @Override
    public GestorProcessos getGestor() {
        return gestor;
    }
    
    @Override
    public Proces creaEntitat() {
        return new Proces();
    }
    
    @Override
    public Proces clonaEntitat(Proces original) {
        Proces entitat = null;
        
        try {
            entitat = gestor.cerca(original.getId());
        } catch (Exception e) {
            
        }
        
        return entitat;
    }
    
}
