package edu.iesdamiahuguet.gestcentre.jsf;

import edu.iesdamiahuguet.gestcentre.ejb.GestorPropietaris;
import edu.iesdamiahuguet.gestcentre.entitats.PropietariInventari;
import java.io.Serializable;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author Climent Cànaves
 */
@ManagedBean
@SessionScoped
public class ControladorPropietaris extends ControladorEntitats<PropietariInventari> implements Serializable {
    @EJB
    GestorPropietaris gestor;
    
    @Override
    public GestorPropietaris getGestor() {
        return gestor;
    }
    
    @Override
    public PropietariInventari creaEntitat() {
        return new PropietariInventari();
    }
    
    @Override
    public PropietariInventari clonaEntitat(PropietariInventari original) {
        PropietariInventari entitat = null;
        
        try {
            entitat = gestor.cerca(original.getId());
        } catch (Exception e) {
            
        }
        
        return entitat;
    }
    
}
