package edu.iesdamiahuguet.gestcentre.jsf;

import edu.iesdamiahuguet.gestcentre.ejb.GestorProveidors;
import edu.iesdamiahuguet.gestcentre.entitats.ProveidorInventari;
import java.io.Serializable;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author Climent Cànaves
 */
@ManagedBean
@SessionScoped
public class ControladorProveidors extends ControladorEntitats<ProveidorInventari> implements Serializable {
    @EJB
    GestorProveidors gestor;
    
    @Override
    public GestorProveidors getGestor() {
        return gestor;
    }
    
    @Override
    public ProveidorInventari creaEntitat() {
        return new ProveidorInventari();
    }
    
    @Override
    public ProveidorInventari clonaEntitat(ProveidorInventari original) {
        ProveidorInventari entitat = null;
        
        try {
            entitat = gestor.cerca(original.getId());
        } catch (Exception e) {
            
        }
        
        return entitat;
    }
    
}
