package edu.iesdamiahuguet.gestcentre.jsf;

import edu.iesdamiahuguet.gestcentre.ejb.GestorRevisionsDocuments;
import edu.iesdamiahuguet.gestcentre.entitats.RevisioDocument;
import java.io.Serializable;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author Climent Cànaves
 */
@ManagedBean
@SessionScoped
public class ControladorRevisionsDocuments extends ControladorEntitats<RevisioDocument> implements Serializable {
    @EJB
    GestorRevisionsDocuments gestor;
    
    @Override
    public GestorRevisionsDocuments getGestor() {
        return gestor;
    }
    
    @Override
    public RevisioDocument creaEntitat() {
        return new RevisioDocument();
    }
    
    @Override
    public RevisioDocument clonaEntitat(RevisioDocument original) {
        RevisioDocument entitat = null;
        
        try {
            entitat = gestor.cerca(original.getId());
        } catch (Exception e) {
            
        }
        
        return entitat;
    }
    
}
