package edu.iesdamiahuguet.gestcentre.jsf;

import edu.iesdamiahuguet.gestcentre.ejb.GestorSolicitudsCompra;
import edu.iesdamiahuguet.gestcentre.entitats.SolicitudCompra;
import java.io.Serializable;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author Climent Cànaves
 */
@ManagedBean
@SessionScoped
public class ControladorSolicitudsCompra extends ControladorEntitats<SolicitudCompra> implements Serializable {
    @EJB
    GestorSolicitudsCompra gestor;
    
    @Override
    public GestorSolicitudsCompra getGestor() {
        return gestor;
    }
    
    @Override
    public SolicitudCompra creaEntitat() {
        return new SolicitudCompra();
    }
    
    @Override
    public SolicitudCompra clonaEntitat(SolicitudCompra original) {
        SolicitudCompra entitat = null;
        
        try {
            entitat = gestor.cerca(original.getId());
        } catch (Exception e) {
            
        }
        
        return entitat;
    }
    
}
