package edu.iesdamiahuguet.gestcentre.jsf;

import edu.iesdamiahuguet.gestcentre.ejb.GestorUbicacions;
import edu.iesdamiahuguet.gestcentre.entitats.UbicacioInventari;
import java.io.Serializable;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author Climent Cànaves
 */
@ManagedBean
@SessionScoped
public class ControladorUbicacions extends ControladorEntitats<UbicacioInventari> implements Serializable {
    @EJB
    GestorUbicacions gestor;
    
    @Override
    public GestorUbicacions getGestor() {
        return gestor;
    }
    
    @Override
    public UbicacioInventari creaEntitat() {
        return new UbicacioInventari();
    }
    
    @Override
    public UbicacioInventari clonaEntitat(UbicacioInventari original) {
        UbicacioInventari entitat = null;
        
        try {
            entitat = gestor.cerca(original.getId());
        } catch (Exception e) {
            
        }
        
        return entitat;
    }
        
}
