/*


 */
package edu.iesdamiahuguet.gestcentre.ejb;

import edu.iesdamiahuguet.gestcentre.entitats.BaixaItemInventari;
import edu.iesdamiahuguet.gestcentre.entitats.Usuari;
import edu.iesdamiahuguet.gestcentre.utils.GestorSessio;
import java.util.Date;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author Climent Cànaves
 */
@Stateless
public class GestorBaixesItemInventari extends GestorEntitats<BaixaItemInventari> {
    @PersistenceContext(unitName = "edu.iesdamiahuguet_GestCentre_war_1.0-SNAPSHOTPU")
    private EntityManager gestor;

    @Override
    protected EntityManager getGestor() {
        return gestor;
    }
    
    @Override
    public void inicialitza(BaixaItemInventari entitat) {
        entitat.setAutor((Usuari)(GestorSessio.getAtribut("usuari")));
        entitat.setDataBaixa(new Date());
    }

    public GestorBaixesItemInventari() {
        super(BaixaItemInventari.class);
    }
    
}
