package edu.iesdamiahuguet.gestcentre.ejb;

import edu.iesdamiahuguet.gestcentre.entitats.IncidenciaInventari;
import edu.iesdamiahuguet.gestcentre.entitats.Usuari;
import edu.iesdamiahuguet.gestcentre.utils.GestorSessio;
import java.util.Date;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author Climent Cànaves
 */
@Stateless
public class GestorIncidenciesInventari extends GestorEntitats<IncidenciaInventari> {
    @PersistenceContext(unitName = "edu.iesdamiahuguet_GestCentre_war_1.0-SNAPSHOTPU")
    private EntityManager gestor;

    @Override
    protected EntityManager getGestor() {
        return gestor;
    }

    public GestorIncidenciesInventari() {
        super(IncidenciaInventari.class);
    }
    
    @Override
    public void inicialitza(IncidenciaInventari entitat) {
        entitat.setAutorObertura((Usuari)(GestorSessio.getAtribut("usuari")));
        entitat.setDataObertura(new Date());
    }
    
}
