/*


 */
package edu.iesdamiahuguet.gestcentre.ejb;

import edu.iesdamiahuguet.gestcentre.entitats.ItemInventari;
import edu.iesdamiahuguet.gestcentre.entitats.Usuari;
import edu.iesdamiahuguet.gestcentre.utils.GestorSessio;
import java.util.Date;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author Climent Cànaves
 */
@Stateless
public class GestorItemsInventari extends GestorEntitats<ItemInventari> {
    @PersistenceContext(unitName = "edu.iesdamiahuguet_GestCentre_war_1.0-SNAPSHOTPU")
    private EntityManager gestor;

    @Override
    protected EntityManager getGestor() {
        return gestor;
    }

    public GestorItemsInventari() {
        super(ItemInventari.class);
    }
    
    @Override
    public void inicialitza(ItemInventari entitat) {
        Usuari usuari = (Usuari)(GestorSessio.getAtribut("usuari"));
        
        entitat.setAutor(usuari);
        entitat.setDataAlta(new Date());
    }
    
}
