package edu.iesdamiahuguet.gestcentre.ejb;

import edu.iesdamiahuguet.gestcentre.entitats.GrupUsuaris;
import edu.iesdamiahuguet.gestcentre.entitats.SolicitudCompra;
import edu.iesdamiahuguet.gestcentre.entitats.Usuari;
import edu.iesdamiahuguet.gestcentre.utils.GestorSessio;
import java.util.Date;
import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author Climent Cànaves
 */
@Stateless
public class GestorSolicitudsCompra extends GestorEntitats<SolicitudCompra> {
    @PersistenceContext(unitName = "edu.iesdamiahuguet_GestCentre_war_1.0-SNAPSHOTPU")
    private EntityManager gestor;

    @Override
    protected EntityManager getGestor() {
        return gestor;
    }

    public GestorSolicitudsCompra() {
        super(SolicitudCompra.class);
    }
    
    @Override
    public void inicialitza(SolicitudCompra entitat) {
        entitat.setResponsable((Usuari)(GestorSessio.getAtribut("usuari")));
        entitat.setDataSolicitud(new Date());
    }
    
    
}
