package edu.iesdamiahuguet.gestcentre.jsf;

import edu.iesdamiahuguet.gestcentre.ejb.GestorCategories;
import edu.iesdamiahuguet.gestcentre.entitats.CategoriaInventari;
import java.io.Serializable;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author Climent Cànaves
 */
@ManagedBean
@SessionScoped
public class ControladorCategories extends ControladorEntitats<CategoriaInventari> implements Serializable {
    @EJB
    GestorCategories gestor;
    
    @Override
    public GestorCategories getGestor() {
        return gestor;
    }
    
    @Override
    public CategoriaInventari creaEntitat() {
        return new CategoriaInventari();
    }
    
    @Override
    public CategoriaInventari clonaEntitat(CategoriaInventari original) {
        CategoriaInventari entitat = null;
        
        try {
            entitat = gestor.cerca(original.getId());
        } catch (Exception e) {
            
        }
        
        return entitat;
    }
    
}
