package edu.iesdamiahuguet.gestcentre.jsf;

import edu.iesdamiahuguet.gestcentre.ejb.GestorIncidenciesInventari;
import edu.iesdamiahuguet.gestcentre.entitats.IncidenciaInventari;
import java.io.Serializable;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author Climent Cànaves
 */
@ManagedBean
@SessionScoped
public class ControladorIncidenciesInventari extends ControladorEntitats<IncidenciaInventari> implements Serializable {
    @EJB
    GestorIncidenciesInventari gestor;
    
    @Override
    public GestorIncidenciesInventari getGestor() {
        return gestor;
    }
    
    @Override
    public IncidenciaInventari creaEntitat() {
        return new IncidenciaInventari();
    }
    
    @Override
    public IncidenciaInventari clonaEntitat(IncidenciaInventari original) {
        IncidenciaInventari entitat = null;
        
        try {
            entitat = gestor.cerca(original.getId());
        } catch (Exception e) {
            
        }
        
        return entitat;
    }
    
}
