package edu.iesdamiahuguet.gestcentre.jsf;

import edu.iesdamiahuguet.gestcentre.ejb.GestorMacroprocessos;
import edu.iesdamiahuguet.gestcentre.entitats.Macroproces;
import java.io.Serializable;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author Climent Cànaves
 */
@ManagedBean
@SessionScoped
public class ControladorMacroprocessos extends ControladorEntitats<Macroproces> implements Serializable {
    @EJB
    GestorMacroprocessos gestor;
    
    @Override
    public GestorMacroprocessos getGestor() {
        return gestor;
    }
    
    @Override
    public Macroproces creaEntitat() {
        return new Macroproces();
    }
    
    @Override
    public Macroproces clonaEntitat(Macroproces original) {
        Macroproces entitat = null;
        
        try {
            entitat = gestor.cerca(original.getId());
        } catch (Exception e) {
            
        }
        
        return entitat;
    }
    
}
