package edu.iesdamiahuguet.gestcentre.jsf;

import edu.iesdamiahuguet.gestcentre.ejb.GestorTipusDocuments;
import edu.iesdamiahuguet.gestcentre.entitats.TipusDocument;
import java.io.Serializable;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author Climent Cànaves
 */
@ManagedBean
@SessionScoped
public class ControladorTipusDocuments extends ControladorEntitats<TipusDocument> implements Serializable {
    @EJB
    GestorTipusDocuments gestor;
    
    @Override
    public GestorTipusDocuments getGestor() {
        return gestor;
    }
    
    @Override
    public TipusDocument creaEntitat() {
        return new TipusDocument();
    }
    
    @Override
    public TipusDocument clonaEntitat(TipusDocument original) {
        TipusDocument entitat = null;
        
        try {
            entitat = gestor.cerca(original.getCodi());
        } catch (Exception e) {
            
        }
        
        return entitat;
    }
    
}
