/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package edu.iesdamiahuguet.gestcentre.jsf.conversors;

import edu.iesdamiahuguet.gestcentre.entitats.IndicadorControl;
import edu.iesdamiahuguet.gestcentre.jsf.ControladorIndicadorsControl;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;

/**
 *
 * @author climentc
 */
@FacesConverter(forClass = IndicadorControl.class)
public class ConversorIndicadorControl implements Converter {

    @Override
    public Object getAsObject(FacesContext facesContext, UIComponent component, String valor) {
        if (valor == null || valor.length() == 0) {
            return null;
        }
        ControladorIndicadorsControl controlador = (ControladorIndicadorsControl) facesContext.getApplication().getELResolver().
                getValue(facesContext.getELContext(), null, "controladorIndicadorsControl");
        return controlador.getGestor().cerca(Integer.parseInt(valor));
    }


    @Override
    public String getAsString(FacesContext facesContext, UIComponent component, Object objecte) {
        if (objecte == null) {
            return null;
        } else if (objecte instanceof IndicadorControl) {
            IndicadorControl o = (IndicadorControl) objecte;
            return o.getId().toString();
        } else {
            throw new IllegalArgumentException("object " + objecte + " is of type " + objecte.getClass().getName() + "; expected type: " + ControladorIndicadorsControl.class.getName());
        }
    }
}
