package edu.iesdamiahuguet.gestcentre.utils;

import javax.faces.context.FacesContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

/**
 *
 * @author Climent Cànaves
 */
public class GestorSessio {
    
    public GestorSessio() {
        
    }
    
    public static HttpSession getSessioActiva() {
        FacesContext context = FacesContext.getCurrentInstance();  
        HttpServletRequest request = (HttpServletRequest)context.getExternalContext().getRequest();  
        return request.getSession(false);  
    }
    
    public static void setAtribut(String atribut, Object valor) {
        getSessioActiva().setAttribute(atribut, valor);
    }
    
    public static Object getAtribut(String atribut) {
        return getSessioActiva().getAttribute(atribut);
    }
    
}
